C+
C NAME:
C	iArrI4ValuePresent
C PURPOSE:
C	Check occurrence of given value in integer*4 array
C CALLING SEQUENCE:
	function iArrI4ValuePresent(N,A,APresent)
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	A(*)
	    integer	APresent

	NP = 0
	do I=1,N
	    if (A(I) .eq. APresent) NP = NP+1
	end do

	iArrI4ValuePresent = NP

	return
	end
